Bug 11912 - Более точная диагностика - имя пользователя не должно начинавться с цифр
: Более точная диагностика - имя пользователя не должно начинавться с цифр
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 11913
  Show dependency tree
 
Reported: 2007-05-29 14:54 by
Modified: 2012-04-04 15:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-29 14:54:26
смотрел на cd-20070524.iso

при попытке создать пользователя "1z" Получаю сообщение об ошибке. Но там ни 
слова о причине - так что дополнить, что с цифр НАЧИНАТЬ нельзя
------- Comment #1 From 2008-07-02 14:39:21 -------
*** Bug 11913 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2010-11-06 13:01:01 -------
Перевешиваю на alterator, т.к.
$ rpm -qf /usr/share/alterator/type/system-account-name.scm
alterator-4.19-alt1

Сизиф, воспроизводится.
------- Comment #3 From 2011-11-07 20:33:43 -------
Посмотрите:
http://git.altlinux.org/people/snejok/packages/?p=alterator.git;a=commitdiff;h=0681fd566194a0da0b80437dc81621322c185d57

2cas: что скажешь?
------- Comment #4 From 2011-11-08 03:19:06 -------
Чуть лучше вот так:
"only small latin letters, digits, '-' and '_' allowed, starting with a small
latin letter."
------- Comment #6 From 2012-04-04 12:13:31 -------
alterator-4.20-alt3 -> sisyphus:

* Wed Apr 04 2012 Michael Shigorin <mike@altlinux> 4.20-alt3
- add systemd support by shaba@ (closes: #26583)

* Mon Nov 07 2011 Lenar Shakirov <snejok@altlinux> 4.20-alt2
- warning for wrong system-account-name fixed (closes: #11912)
------- Comment #7 From 2012-04-04 13:45:15 -------
2cas: наверно нужно еще alterator-l10n поправить?
------- Comment #8 From 2012-04-04 15:15:19 -------
(В ответ на комментарий №7)
> 2cas: наверно нужно еще alterator-l10n поправить?
Обновил, поправил, отправил.
------- Comment #9 From 2012-04-04 15:22:07 -------
(В ответ на комментарий №8)
> > 2cas: наверно нужно еще alterator-l10n поправить?
> Обновил, поправил, отправил.

Спасибо!